avifix(1)

NAME
avifix - fix header of AVI-file

SYNOPSIS
avifix [ -i name [ -F string ] [ -f val1,val2 ] [ -N 0x NN ] [ -b bitrate ] [ -e rate[,bits[,channels]] ] [ -a num ] [ -v ] ]

COPYRIGHT
avifix is Copyright (C) by Thomas Östreich.

DESCRIPTION
avifix fixes the header of an AVI-file with the supplied parameters.

OPTIONS

-i name
    Specify the name of the AVI-file.

-F string
    Specify the video codec as FourCC.
    Possible values are RGB, RIFF and TIFF. ???

-f val1,val2
    Use this option to change the frame rate and scale information in the header of the AVI-file. Both values must not be < 0.

-N 0xnn
    Use this option to change the audio format identifier in the header of the AVI-file. Here are some possible values:

    0x1 PCM uncompressed audio

    0x50 MPEG layer-2 aka MP2

    0x55 MPEG layer-3 aka MP3

    0x2000 AC3 audio

-b bitrate
    Use this option to change the encoder bitrate in the header of the AVI-file. bitrate has to be given in units of kbps.

-e rate[,bits[,channels]]
    Use this option to change the audio stream parameters of in the header of the AVI-file.

-a num
    Use this option to change the audio stream parameters of audio track number num in the header of the AVI-file.

-v  Print version information and exit.

EXAMPLES
The command

avifix -i my_file.avi -f 30,1

changes the header of the file my_file.avi and sets the frame rate to 30 fps.

AUTHORS
avifix was written by Thomas Östreich
<ostreich@theorie.physik.uni-goettingen.de> with contributions from many others. See AUTHORS for details.

SEE ALSO
avimerge(1), avisplit(1), tccat(1), tcdecode(1), tcdemux(1), tcextract(1), tcprobe(1), tcscan(1), transcode(1)